std::length_error(3)

NAME
std::length_error -

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
length_error (const string &__arg)
virtual const char * what () const noexcept

Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Definition at line 91 of file stdexcept.

Member Function Documentation

  virtual const char* std::logic_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.